/*
 Copyright (c) 2010 Alessandro Sivieri <alessandro.sivieri@gmail.com>

 This library is free software; you can redistribute it and/or
 modify it under the terms of the GNU Library General Public
 License version 2 as published by the Free Software Foundation.

 This library is distributed in the hope that it will be useful,
 but WITHOUT ANY WARRANTY; without even the implied warranty of
 MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
 Library General Public License for more details.

 You should have received a copy of the GNU Library General Public License
 along with this library; see the file COPYING.LIB.  If not, write to
 the Free Software Foundation, Inc., 51 Franklin Street, Fifth Floor,
 Boston, MA 02110-1301, USA.
 */

#ifndef FACETSETTINGS_H_
#define FACETSETTINGS_H_

#include <QWidget>

#include "ui_facetsettings.h"

class FacetSettings : public QWidget, private Ui::FacetSettings
{
    Q_OBJECT
    
    public:
        FacetSettings(QWidget* parent = 0);
        virtual ~FacetSettings();

    Q_SIGNALS:
        void settingsChanged();

    public Q_SLOTS:
        void facetSelectionChanged(QStringList facets);
};

#endif /* FACETSETTINGS_H_ */
