/*
 Copyright (c) 2009-2010 Alessandro Sivieri <alessandro.sivieri@gmail.com>

 This library is free software; you can redistribute it and/or
 modify it under the terms of the GNU Library General Public
 License version 2 as published by the Free Software Foundation.

 This library is distributed in the hope that it will be useful,
 but WITHOUT ANY WARRANTY; without even the implied warranty of
 MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
 Library General Public License for more details.

 You should have received a copy of the GNU Library General Public License
 along with this library; see the file COPYING.LIB.  If not, write to
 the Free Software Foundation, Inc., 51 Franklin Street, Fifth Floor,
 Boston, MA 02110-1301, USA.
*/

#include "facet.h"

Facet::Facet(QWidget* parent): QWidget(parent)
{
    
}

Facet::~Facet()
{
}

void Facet::folderChanged(const QString& folder)
{
    doFolderChanged(folder);
}

void Facet::doFolderChanged(const QString& folder)
{
    Q_UNUSED(folder);
}

void Facet::reload()
{
    doReload();
}

void Facet::doReload()
{
}

Nepomuk::Query::Term Facet::currentQueryTerm() const
{
    return Nepomuk::Query::Term();
}

bool Facet::currentQueryTermValidation() const
{
    return false;
}

#include "facet.moc"
